LibreOffice LibreOffice 6.0 SDK API Reference

Public Attributes | List of all members
XTabPageModel Interface Referencepublished

specifies an XTabPageModel interface. More...

`import"XTabPageModel.idl";`

Inheritance diagram for XTabPageModel:

## Public Attributes
short | TabPageID
| ID for tab page. More...
boolean | Enabled
| determines whether a tab page is enabled or disabled. More...
string | Title
| specifies the text that is displayed in the tab bar of the tab page. More...
string | ImageURL
| specifies a URL that references a graphic that should be displayed in the tab bar. More...
string | ToolTip
| specifies a tooltip text that should be displayed in the tab bar. More...

## Detailed Description

specifies an XTabPageModel interface.

Since
  OOo 3.4

## Member Data Documentation

## ◆ Enabled

boolean Enabled
| attribute

determines whether a tab page is enabled or disabled.

## ◆ ImageURL

string ImageURL
| attribute

specifies a URL that references a graphic that should be displayed in the tab bar.

## ◆ TabPageID

short TabPageID
| attribute readonly

ID for tab page.

## ◆ Title

string Title
| attribute

specifies the text that is displayed in the tab bar of the tab page.

## ◆ ToolTip

string ToolTip
| attribute

specifies a tooltip text that should be displayed in the tab bar.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/tab/XTabPageModel.idl